import {HTTPStatus, Message} from '../const/http.ts'

export default class HTTPError extends Error {
    constructor(
        public readonly http_status: HTTPStatus,
        public readonly http_message?: string
    ) {
        super(`HTTP ${http_status}: ${http_message || Message[http_status]}`)
    }
}
