import ErrorResponseFactory from './ErrorResponseFactory.ts'
import HTTPError from '../../error/HTTPError.ts'

export default class HTTPErrorResponseFactory extends ErrorResponseFactory {
    constructor(
        public readonly error: HTTPError,
        output: 'json' | 'html',
    ) {
        super(error, error.http_status, output)
    }
}
